/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.3 Umfassende Datenanalyse
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.uda.interpreter.daten.struktur;

import de.bsvrz.sys.funclib.bitctrl.interpreter.Operator;

/**
 * Definition der Operatoren zur Arbeit mit benutzerdefinierten Datenstrukturen
 * in einem Uda-Skript-Interpreter.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public final class DatenStrukturOperatoren {
	/**
	 * Konstruktor zum Anlegen einer Datenstruktur.
	 */
	public static final Operator KONSTRUKTOR = Operator.getOperator("Datenstruktur");

	/**
	 * Funktion zum Erzeugen eines Datensatzes entsprechend einer zuvor
	 * definierten Datenstruktur.
	 */
	public static final Operator DATENSATZ = Operator.getOperator("datensatz");

	/**
	 * Funktion zum Ermitteln der Datenstrukturdefinition eines Datensatzes.
	 */
	public static final Operator DATENSTRUKTUR = Operator.getOperator("datenstruktur");

	/**
	 * die Liste der unterstüzten Operatoren.
	 */
	public static final Operator[] OPERATOREN = { DatenStrukturOperatoren.KONSTRUKTOR,
			DatenStrukturOperatoren.DATENSATZ, DatenStrukturOperatoren.DATENSTRUKTUR };

	/** privater Konstruktor für Utility-Klasse. */
	private DatenStrukturOperatoren() {
		super();
	}
}
